# Adds a tag to the specified features PUT https://app.unleash-instance.example.com/api/admin/projects/{projectId}/tags Content-Type: application/json Add a tag to a list of features. Create tags if needed. Reference: https://docs.getunleash.io/api/add-tag-to-features ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Adds a tag to the specified features version: endpoint_tags.addTagToFeatures paths: /api/admin/projects/{projectId}/tags: put: operationId: add-tag-to-features summary: Adds a tag to the specified features description: Add a tag to a list of features. Create tags if needed. tags: - - subpackage_tags parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Tags_addTagToFeatures_Response_200' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: tagsBulkAddSchema content: application/json: schema: $ref: '#/components/schemas/tagsBulkAddSchema' components: schemas: tagSchema: type: object properties: value: type: string description: The value of the tag. type: type: string description: >- The [type](https://docs.getunleash.io/concepts/feature-flags#tags) of the tag color: type: - string - 'null' description: The hexadecimal color code for the tag type. required: - value - type updateTagsSchema: type: object properties: addedTags: type: array items: $ref: '#/components/schemas/tagSchema' description: Tags to add to the feature. removedTags: type: array items: $ref: '#/components/schemas/tagSchema' description: Tags to remove from the feature. required: - addedTags - removedTags tagsBulkAddSchema: type: object properties: features: type: array items: type: string description: The list of features that will be affected by the tag changes. tags: $ref: '#/components/schemas/updateTagsSchema' description: The tag changes to be applied to the features. required: - features - tags Tags_addTagToFeatures_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/tags" payload = { "features": ["string"], "tags": { "addedTags": [ { "value": "tag-to-add", "type": "simple" } ], "removedTags": [ { "value": "tag-to-remove", "type": "simple" } ] } } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/tags'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"features":["string"],"tags":{"addedTags":[{"value":"tag-to-add","type":"simple"}],"removedTags":[{"value":"tag-to-remove","type":"simple"}]}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/tags" payload := strings.NewReader("{\n \"features\": [\n \"string\"\n ],\n \"tags\": {\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n }\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/tags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"features\": [\n \"string\"\n ],\n \"tags\": {\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/projects/projectId/tags") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"features\": [\n \"string\"\n ],\n \"tags\": {\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n }\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/tags', [ 'body' => '{ "features": [ "string" ], "tags": { "addedTags": [ { "value": "tag-to-add", "type": "simple" } ], "removedTags": [ { "value": "tag-to-remove", "type": "simple" } ] } }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/tags"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"features\": [\n \"string\"\n ],\n \"tags\": {\n \"addedTags\": [\n {\n \"value\": \"tag-to-add\",\n \"type\": \"simple\"\n }\n ],\n \"removedTags\": [\n {\n \"value\": \"tag-to-remove\",\n \"type\": \"simple\"\n }\n ]\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "features": ["string"], "tags": [ "addedTags": [ [ "value": "tag-to-add", "type": "simple" ] ], "removedTags": [ [ "value": "tag-to-remove", "type": "simple" ] ] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/tags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```